Show / Hide Table of Contents

# Class Constants

##### Inheritance

System.Object
Constants

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Protocol

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public static class Constants

### Fields

| Improve this Doc View Source

#### ContentLengthFormatString

##### Declaration

    public const string ContentLengthFormatString = "Content-Length: {0}\r\n\r\n"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### JsonSerializerSettings

##### Declaration

    public static readonly JsonSerializerSettings JsonSerializerSettings

##### Field Value

Type | Description
--- | ---
Newtonsoft.Json.JsonSerializerSettings |

| Improve this Doc View Source

#### SqlLoginAuthenticationType

##### Declaration

    public static readonly string SqlLoginAuthenticationType

##### Field Value

Type | Description
--- | ---
System.String |